#define _CRT_SECURE_NO_WARNINGS
#define _USE_MATH_DEFINES
#include <iostream>
#include <vector>
#include <cmath>
#include <algorithm>
#include <ctime>
typedef long long ll;
using namespace std;

const int MOD = 1e5;
const double EPS = 1e-9;

bool eq(double a, double b) {
	return fabs(a - b) < EPS;
}

int main() {
	int x, y;
	cin >> x >> y;
	if (x == 0 && y == 0) {
		cout << "no";
		return 0;
	}
	cout << "yes\n";
	while (true) {
		for (int a = -20; a < 20; a++) {
			if (a == 0)
				continue;
			for (int b = -20; b < 20; b++) {
				if (b == 0)
					continue;
				for (int d = -20; d < 20; d++) {
					if (d == 0)
						continue;
					for (int e = -20; e < 20; e++) {
						if (e == 0 || (a == d && b == e))
							continue;
						ll c = a * x + b * y;
						ll f = d * x + e * y;
						double k1 = a / (double)d;
						double k2 = b / (double)e;
						if (abs(c) < MOD && abs(f) < MOD && c != 0 && f != 0 && !eq(k1, k2)) {
							cout << a << ' ' << b << ' ' << c << '\n' << d << ' ' << e << ' ' << f;
							return 0;
						}
					}
				}
			}
		}
	}
	cout << "no";
	return 0;
}