#define _CRT_SECURE_NO_WARNINGS
#define _USE_MATH_DEFINES
#include <iostream>
#include <vector>
#include <cmath>
#include <algorithm>
#include <ctime>
typedef long long ll;
using namespace std;

const ll INF = 1e18;

int main() {
	ios_base::sync_with_stdio(false);
	ll n, m;
	cin >> n >> m;
	vector<ll> a(n);
	for (int i = 0; i < n; i++)
		cin >> a[i];
	vector<ll> dp(n);
	for (int i = 0; i < n; i++) {
		dp[i] = m * (i + 1);
		for (int j = i - 1; j >= 0 && j > i - 100; j--) {
			dp[i] = max(dp[i], (dp[j] % a[j]) + a[i] * (dp[j] / a[j]) + m * (i - j));
			dp[i] = max(dp[i], dp[j] + (i - j) * m);
		}
	}
	ll x = 0;
	int cur = m;
	for (int i = 0; i < n; i++) {
		x += cur / a[i];
		cur = (cur % a[i]) + m;
	}
	ll answ = 0;
	for (int i = 0; i < n; i++)
		answ = max(answ, dp[i] / a[i]);
	cout << x << ' ' << answ;
	return 0;
}