#define _CRT_SECURE_NO_WARNINGS
#define _USE_MATH_DEFINES
#include <iostream>
#include <vector>
#include <cmath>
#include <algorithm>
#include <ctime>
typedef long long ll;
using namespace std;

const int N = 5000;

char res[N][N];

void rec(int x, int y, int n) {
	if (n == 1) {
		res[x + 1][y] = res[x][y + 1] = '/';
		res[x][y + 2] = res[x + 1][y + 3] = '\\';
		res[x + 1][y + 1] = res[x + 1][y + 2] = '_';
		return;
	}
	int dx = 1 << (n - 1);
	int dy = 2 * dx;
	rec(x, y + dx, n - 1);
	rec(x + dx, y, n - 1);
	rec(x + dx, y + dy, n - 1);
}

int main() {
	ios_base::sync_with_stdio(false);
	int n;
	cin >> n;
	int h = 1 << n;
	for (int i = 0; i < N; i++) {
		for (int j = 0; j < N; j++)
			res[i][j] = ' ';
	}
	rec(0, 0, n);
	for (int i = 0; i < h; i++) {
		int len = 2 * (i + 1);
		int s = h - i - 1;
		for (int j = 0; j < s; j++)
			cout << ' ';
		for (int j = 0; j < len; j++) {
			cout << res[i][j + s];
		}
		cout << '\n';
	}
	return 0;
}